/*
  433 MHz transmitter tester (sender)
  (c) TavIR http://www.tavir.hu
 
  433 MHz adó és vevőmodul tesztelése. ASK moduláció és hibajavítással.
 
  Fordító: 		Arduino 1.8.5
  Library:		RadioHead 1.41
				SPI (beépített)
  Alappanel:	UNO (ATMega328P)
  Hardware:		433 HHz adómodul	
				Arduino                         Adó
				GND------------------------------GND
				D12------------------------------Data
				5V-------------------------------VCC
											---Antenna bekötése opcionális
												
 
 Forrás:	https://randomnerdtutorials.com/rf-433mhz-transmitter-receiver-module-with-arduino/
 
 
 Tesztelve:		TavIR (avr@tavir.hu)
 Teszt ideje:	2020.04.12
  
 */
#include <RH_ASK.h>
#include <SPI.h> // Not actually used but needed to compile

RH_ASK driver;

void setup()
{
    Serial.begin(9600);    // Debugging only
    if (!driver.init())
         Serial.println("init failed");
}

void loop()
{
    const char *msg = "Hello World!";
    driver.send((uint8_t *)msg, strlen(msg));
    driver.waitPacketSent();
    delay(1000);
}
